Package frc.robot.subsystems.swervedrive.swerve.motors

## Enum CTRESwerveMotor.CTRE_slotIdx

- java.lang.Object
- - java.lang.Enum<CTRESwerveMotor.CTRE_slotIdx>
  - - frc.robot.subsystems.swervedrive.swerve.motors.CTRESwerveMotor.CTRE_slotIdx

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<CTRESwerveMotor.CTRE_slotIdx>`

Enclosing class:
  CTRESwerveMotor

    static enum CTRESwerveMotor.CTRE_slotIdx
    extends java.lang.Enum<CTRESwerveMotor.CTRE_slotIdx>

The Talon SRX Slot profile used to configure the motor to use for the PID.

### Enum Constant Summary

Enum Constants
`Distance`
`MotionProfile`
`Turning`
`Velocity`

### Constructor Summary

Constructors
`private` `CTRE_slotIdx()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CTRESwerveMotor.CTRE_slotIdx` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CTRESwerveMotor.CTRE_slotIdx[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Distance

    public static final CTRESwerveMotor.CTRE_slotIdx Distance

#### Turning

    public static final CTRESwerveMotor.CTRE_slotIdx Turning

#### Velocity

    public static final CTRESwerveMotor.CTRE_slotIdx Velocity

#### MotionProfile

    public static final CTRESwerveMotor.CTRE_slotIdx MotionProfile

### Constructor Detail

#### CTRE_slotIdx

    private CTRE_slotIdx()

### Method Detail

#### values

    public static CTRESwerveMotor.CTRE_slotIdx[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CTRESwerveMotor.CTRE_slotIdx c : CTRESwerveMotor.CTRE_slotIdx.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CTRESwerveMotor.CTRE_slotIdx valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null